<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Ejercicio_22</title>
</head>
<body>
    <h1>Ejercicio 22</h1>
    <script>
    /*22) Programa una función que dado un array devuelva el número mas 
    alto y el más bajo de dicho array, pe. miFuncion([1, 4, 5, 99, -60])
    devolverá [99, -60].*/

    const numMaxMin = (numeros = undefined) => {

        if (numeros === undefined) return console.warn("No se ingreso un Arreglo de números");
        if (!(numeros instanceof Array)) 
           return console.warn(`No es Arreglo`);
        if (numeros.length === 0) return console.warn("El arreglo esta vacio");
        for (let num of numeros) {
            if (typeof num !== "number")
            return console.error(`El valor ingresado ${num}, No es un numero`);
        }
        return console.log(`Valor mayor del arreglo: ${Math.max(...numeros)},\nValor minimo del arreglo: ${Math.min(...numeros)}`); 
    }

    numMaxMin([1, 4, 5, 99, -60]);
    numMaxMin();
    numMaxMin([1, 4, true]);
    numMaxMin(false);

    </script>
    
</body>
</html>